For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Contact usDashboard
  • Get Started
    • Why Syndicate
    • Quickstart
  • Infrastructure
    • L2 / L3 Chains
    • Smart RPC
    • Mirrors
  • Guides
    • Send and Monitor Transactions
    • IP Allowlisting
    • Mirrors
  • API
      • GETGet Transaction Request by ID
      • GETGet Transaction Requests By Project
      • GETGet Transactions Attempts by Project
      • POSTSend Transaction
      • POSTCall View Function
LogoLogo
Contact usDashboard
APITransactions

Get Transactions Attempts by Project

GET
https://api.syndicate.io/wallet/project/:projectId/transactions
GET
/wallet/project/:projectId/transactions
$curl https://api.syndicate.io/wallet/project/d5e9c84f-c2b2-4bf4-b4b0-7ffd7a9ffc32/transactions \
> -H "Authorization: Bearer <token>"
200Retrieved
1{
2 "transactionAttempts": [
3 {
4 "transactionId": "transactionId",
5 "hash": "hash",
6 "chainId": 1,
7 "version": 1,
8 "status": "PENDING",
9 "block": 1,
10 "signedTxn": "signedTxn",
11 "walletAddress": "walletAddress",
12 "reverted": true,
13 "nonce": 1,
14 "createdAt": "2024-01-15T09:30:00Z",
15 "updatedAt": "2024-01-15T09:30:00Z",
16 "blockCreatedAt": "2024-01-15T09:30:00Z"
17 },
18 {
19 "transactionId": "transactionId",
20 "hash": "hash",
21 "chainId": 1,
22 "version": 1,
23 "status": "PENDING",
24 "block": 1,
25 "signedTxn": "signedTxn",
26 "walletAddress": "walletAddress",
27 "reverted": true,
28 "nonce": 1,
29 "createdAt": "2024-01-15T09:30:00Z",
30 "updatedAt": "2024-01-15T09:30:00Z",
31 "blockCreatedAt": "2024-01-15T09:30:00Z"
32 }
33 ],
34 "total": 1
35}
Gets a list of transaction attempts for a project
Was this page helpful?
Previous

Send Transaction

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

projectIdUUIDRequired

Query parameters

searchstringOptional
Optional search parameter will filter by transaction hash, wallet address, or transaction id
pageintegerOptional
limitintegerOptional
revertedbooleanOptional
statusenumOptional

Response

This endpoint returns an object.
transactionAttemptslist of objects
totalinteger